<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Bricksclass;

class BricksclassesController extends Controller
{
    /**
     *  Only authenticated users can access this controller
     */
    public function __construct(){
        $this->middleware('auth');
    }
    
   
    public function index()
    {
        
        
        $bricksclasses = Bricksclass::paginate(20);
        return view('sys_mg.bricksclasses.index')->with('bricksclasses',$bricksclasses);
    }

    public function create()
    {
        return view('sys_mg.bricksclasses.create');
    }

    
    public function store(Request $request)
    {
        $this->validate($request,[
            'bricksclass_name' => 'required|min:3|unique:bricksclasses',
            'price'=> 'required'
        ]);
        $bricksclass = new Bricksclass();
        $bricksclass->bricksclass_name = $request->input('bricksclass_name');
        $bricksclass->price = $request->input('price');
        $bricksclass->save();
        return redirect('/bricksclasses')->with('info','New Bricksclass has been created!');
    }

  
    public function show($id)
    {
        //
    }

   
    public function edit($id)
    {
        $bricksclass = Bricksclass::find($id);
        return view('sys_mg.bricksclasses.edit')->with('bricksclass',$bricksclass);
    }

   
    public function update(Request $request, $id)
    {
        $this->validate($request,[
            'bricksclass_name' => 'required|min:3|',
            'price'=> ''
        ]);
        $bricksclass = Bricksclass::find($id);
        $bricksclass->bricksclass_name = $request->input('bricksclass_name');
        $bricksclass->price = $request->input('price');
        $bricksclass->save();
        return redirect('/bricksclasses')->with('info','Selected Bricksclass has been updated!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $bricksclass = Bricksclass::find($id);
        $bricksclass->delete();
        return redirect('/bricksclasses')->with('info','Selected Bricksclass has been deleted!');
    }

    /**
     *  Search For Resource(s)
     * 
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function search(Request $request){
        $this->validate($request,[
            'search' => 'required'
        ]);
        $str = $request->input('search');
        $bricksclasses = Bricksclass::where( 'bricksclass_name' , 'LIKE' , '%'.$str.'%' )
            ->orderBy('bricksclass_name','asc')
            ->paginate(4);
        return view('sys_mg.bricksclasses.index')->with([ 'bricksclasses' => $bricksclasses ,'search' => true ]);
    }
}
