<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Models\Sale;
use App\Models\Bricksclass;
use App\Models\Customer;
use App\Models\Unit;
use App\Models\Inventory;
use DB;

class SalesController extends Controller
{
   /**
     *  Only authenticated users can access this controller
     */
    public function __construct(){
        $this->middleware('auth');
    }

    
    public function index()
    {
        $sales = Sale::Paginate(20);
        return view('sales.index')->with('sales',$sales);
    }

    
    public function create()
    {
        
        $bricksclasses = Bricksclass::orderBy('bricksclass_name','asc')->get();
        $customers = Customer::orderBy('first_name','asc')->get();
        $units = Unit::orderBy('unit_name','asc')->get();

     
        return view('sales.create')->with([
            'bricksclasses'  => $bricksclasses,
            'customers' => $customers,
            'units'=> $units,
        ]);
    }

   
    public function store(Request $request)
    {   
        
        $this->validate($request,[
            'sale_at'      =>  'required',
            'price'     =>  'required',
            'bricksclass' => 'required',
            'customer' => 'required',
            'unit' => 'required',
            'no_of_bricks'        =>  'required',
            'vehicle_no'=>'',
            'chalan_no'=>'',
            'sale_amount'=>'',
            'actual_amount'=>'',
            'total_discount'=>'',
            'created_by'          =>  '',
            'updated_by'     =>  '',
           
        ]);
        
        
        $sale = new Sale();

        $old_no_of_bricks = $sale->no_of_bricks? $sale->no_of_bricks:0;
        $sale->sale_at    = date('Y-m-d', strtotime(str_replace('-', '/', $request->input('sale_at'))));
        $sale->price   = $request->input('price');
        $sale->bricksclass_id    = $request->input('bricksclass');
        $sale->vehicle_no    = $request->input('vehicle_no');
        $sale->chalan_no    = $request->input('chalan_no');
        $sale->sale_amount    = $request->input('sale_amount');
        $sale->actual_amount    = $request->input('actual_amount');
        $sale->total_discount    = $request->input('total_discount');
        $sale->customer_id      = $request->input('customer');
        $sale->created_by = Auth::user()->username;
        $sale->updated_by = Auth::user()->username;
        $sale->unit_id      = $request->input('unit');
        $unit_id = $sale->unit_id;
        $inventory = Inventory::where('bricksclass_id','=',$request->input('bricksclass'))->where('units_id','=',$unit_id)->orderBy('id','desc')->first();
        $nobricks = $request->input('no_of_bricks');
       
        if($nobricks<=$inventory->no_of_bricks){
            $sale->no_of_bricks        = $nobricks;
       
        
                        // $sale->save();
                        if($sale->save()) {
                            $bricks_diff =  $sale->no_of_bricks  - $old_no_of_bricks ;
                    $unit_id = $sale->unit_id;
                        $inventory = Inventory::where('bricksclass_id','=',$request->input('bricksclass'))->where('units_id','=',$unit_id)->orderBy('id','desc')->first();
                        print_r($inventory);
                        $nob = $inventory->no_of_bricks;
                        print_r($nob);
                        if(!isset($inventory)){
                            $inventory = new Inventory(); 
                            $inventory->units_id      =  $unit_id;
                            $inventory->created_by      =  5;
                            $inventory->no_of_bricks = 0;
                            $inventory->bricksclass_id      = $request->input('bricksclass');
                        }
                        
                        $inventory->no_of_bricks = $inventory->no_of_bricks - $bricks_diff;
                        $inventory->updated_by      =  5;
                        $inventory->save(); 
                    }
                    return redirect('/sales')->with('info','New Sale Report has been created!');
            }
            else{
                return Redirect::to('/')->with('message', 'Bricks available');
            }
       
       
        
       
    }

    public function show($id)
    {
        $sale = Sale::find($id);
        return view('sales.show')->with('sale',$sale);
    }

    public function edit($id)
    {
        
        $bricksclasses = Bricksclass::orderBy('bricksclass_name','asc')->get();
        $customers = Customer::orderBy('first_name','asc')->get();
        $units = Unit::orderBy('unit_name','asc')->get();


        $sale = Sale::find($id);
     
        return view('sales.edit')->with([
            'bricksclasses'  => $bricksclasses,
            'sale' => $sale,
            'customers' => $customers,
            'units'=> $units,
          
        ]);
    }

   
    public function update(Request $request, $id)
    {

        $this->validate($request,[
            'sale_at'      =>  'required',
            'price'     =>  'required',
            'bricksclass' => 'required',
            'customer' => 'required',
            'unit' => 'required',
            'no_of_bricks'        =>  'required',
            'vehicle_no'=>'',
            'chalan_no'=>'',
            'sale_amount'=>'',
            'actual_amount'=>'',
            'total_discount'=>'',
            'created_by'          =>  '',
            'updated_by'     =>  '',
           
        ]);
        $sale = Sale::find($id);
    
        $sale = Sale::find($id);
        $old_no_of_bricks = $sale->no_of_bricks? $sale->no_of_bricks:0;
        $sale->sale_at    = date('Y-m-d', strtotime(str_replace('-', '/', $request->input('sale_at'))));
        $sale->price   = $request->input('price');
        $sale->bricksclass_id    = $request->input('bricksclass');
        $sale->vehicle_no    = $request->input('vehicle_no');
        $sale->chalan_no    = $request->input('chalan_no');
        $sale->sale_amount    = $request->input('sale_amount');
        $sale->actual_amount    = $request->input('actual_amount');
        $sale->total_discount    = $request->input('total_discount');
        $sale->customer_id      = $request->input('customer');
        $sale->unit_id      = $request->input('unit');
        $unit_id = $sale->unit_id;
        $inventory = Inventory::where('bricksclass_id','=',$request->input('bricksclass'))->where('units_id','=',$unit_id)->orderBy('id','desc')->first();
        $nobricks = $request->input('no_of_bricks');
       
        if($nobricks<=$inventory->no_of_bricks){
            $sale->no_of_bricks        = $nobricks;
       
        
                        // $sale->save();
                        if($sale->save()) {
                            $bricks_diff =  $sale->no_of_bricks  - $old_no_of_bricks ;
                    $unit_id = $sale->unit_id;
                        $inventory = Inventory::where('bricksclass_id','=',$request->input('bricksclass'))->where('units_id','=',$unit_id)->orderBy('id','desc')->first();
                        print_r($inventory);
                        $nob = $inventory->no_of_bricks;
                        print_r($nob);
                        if(!isset($inventory)){
                            $inventory = new Inventory(); 
                            $inventory->units_id      =  $unit_id;
                            $inventory->created_by      =  5;
                            $inventory->no_of_bricks = 0;
                            $inventory->bricksclass_id      = $request->input('bricksclass');
                        }
                        
                        $inventory->no_of_bricks = $inventory->no_of_bricks - $bricks_diff;
                        $inventory->updated_by      =  5;
                        $inventory->save(); 
                    }
                    return redirect('/sales')->with('info','New Sale Report has been Updated!');
            }
            else{
                return Redirect::to('/sales/'.$id.'/edit')->with('message', 'Bricks available');
            }
       
    
    }

    public function destroy($id)
    {
        $sale = Sale::find($id);
        $sale->delete();
        return redirect('/sales')->with('info','Selected Sale Report has been deleted!');
    }

    public function search(Request $request){
       
        $this->validate($request,[
            'search'   => 'required|min:1',
            'options'  => 'required'
        ]);
        $str = $request->input('search');
        $option = $request->input('options');
        $sales = new Sale();
        if($option == 'unit_name'){
            $units = Unit::where($option, 'LIKE' , '%'.$str.'%')->get(['id']);
            
            if(isset($units)){
        
                foreach($units as $unit) {
                    $u_id[] = $unit->id;
                   } 
                $unit_ids = implode(',',$u_id);
                // print_r($unit_ids);
                $sales = Sale::whereIn('unit_id' , [$unit_ids])
                ->paginate(20);
                // print_r($sales);
            }
        }elseif($option == 'bricksclass_name'){
            $bricks = Bricksclass::where($option, 'LIKE' , '%'.$str.'%')->get(['id']);
            
            if(isset($bricks)){
        
                foreach($bricks as $brick) {
                    $b_id[] = $brick->id;
                   } 
                $bricksclass_ids = implode(',',$b_id);
                // print_r($unit_ids);
                $sales = Sale::whereIn('bricksclass_id' , [$bricksclass_ids])
                ->paginate(20);
                // print_r($sales);
            }

        }  elseif($option == 'first_name'){

            $customers = Customer::where('first_name', 'LIKE' , '%'.$str.'%')
                               ->orWhere('last_name', 'LIKE' , '%'.$str.'%')
                               ->orWhereRaw('CONCAT_WS(" ", trim(first_name), trim(last_name)) like "%' . $str . '%"')
                               ->get(['id']);
            // print_r($labours);
            
            if(isset($customers)){
                $c_id = [];
                foreach($customers as $customer) {
                    $c_id[] = $customer->id;
                   } 
                $customer_ids = implode(',',$c_id);
                // print_r($unit_ids);
                $sales = Sale::whereIn('customer_id' , [$customer_ids])
                ->paginate(20);
                // print_r($sales);
            }
        }
        
        elseif($option == 'sale_at'){

        $sales = Sale::where('sale_at', 'LIKE' , '%'.$str.'%')
        ->orderBy('sale_at','asc')
        ->Paginate(4);
        }
        else{
            $sales = Sale::where($option, 'LIKE' , '%'.$str.'%')->Paginate(20);
        }
           
       
        return view('sales.index')->with(['sales' => $sales , 'search' => true ]);
    }

    
	public function findPrice(Request $request){
	
		//it will get price if its id match with product id
		$price=Bricksclass::select('price')->where('id',$request->bricksclass_id)->first();
		
    	return response()->json($price);
	}

    
    // private function validateRequest($request,$id){
     
    //     return $this->validate($request,[
    //         'sale_at'      =>  'required',
    //         'price'     =>  'required',
    //         'bricksclass' => 'required',
    //         'customer' => 'required',
    //         'unit' => 'required',
    //         'no_of_bricks'        =>  'required',
    //         'created_by'          =>  '',
    //         'updated_by'     =>  '',
           
         
            
    //     ]);
    // }

    // private function setSale(Sale $sale,Request $request){
    //     $old_no_of_bricks = $sale->no_of_bricks? $sale->no_of_bricks:0;
    //     $sale->sale_at    = date('Y-m-d', strtotime(str_replace('-', '/', $request->input('sale_at'))));
    //     $sale->price   = $request->input('price');
    //     $sale->bricksclass_id    = $request->input('bricksclass');
    //     $sale->customer_id      = $request->input('customer');
    //     $sale->unit_id      = $request->input('unit');
    //     $unit_id = $sale->unit_id;
    //     $inventory = Inventory::where('bricksclass_id','=',$request->input('bricksclass'))->where('units_id','=',$unit_id)->orderBy('id','desc')->first();
    //     $nobricks = $request->input('no_of_bricks');
       
    //     if($nobricks<=$inventory->no_of_bricks){
    //         $sale->no_of_bricks        = $nobricks;
       
        
    //                     // $sale->save();
    //                     if($sale->save()) {
    //                         $bricks_diff =  $sale->no_of_bricks  - $old_no_of_bricks ;
    //                 $unit_id = $sale->unit_id;
    //                     $inventory = Inventory::where('bricksclass_id','=',$request->input('bricksclass'))->where('units_id','=',$unit_id)->orderBy('id','desc')->first();
    //                     print_r($inventory);
    //                     $nob = $inventory->no_of_bricks;
    //                     print_r($nob);
    //                     if(!isset($inventory)){
    //                         $inventory = new Inventory(); 
    //                         $inventory->units_id      =  $unit_id;
    //                         $inventory->created_by      =  5;
    //                         $inventory->no_of_bricks = 0;
    //                         $inventory->bricksclass_id      = $request->input('bricksclass');
    //                     }
                        
    //                     $inventory->no_of_bricks = $inventory->no_of_bricks - $bricks_diff;
    //                     $inventory->updated_by      =  5;
    //                     $inventory->save(); 
    //                 }
    //         }
    //         else{
    //             return redirect('/sales/create')->with('error','bricks not available in the selected unit');;
    //         }
       
    //    }
    


}
