<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Models\Segregation;
use App\Models\Bricksclass;
// use App\Models\Tika;
use App\Models\Chamber;
use App\Models\Inventory;
use DB;

class SegregationsController extends Controller
{
   
    public function __construct(){
        $this->middleware('auth');
    }

   
    public function index()
    {
        $segregations = Segregation::Paginate(20);
        return view('segregations.index')->with('segregations',$segregations);
    }

    public function create()
    {
        //$tikas = Tika::orderBy('tika_name','asc')->get();
        $chambers = Chamber::orderBy('chambers_name','asc')->get();
        $bricksclasses = Bricksclass::orderBy('bricksclass_name','asc')->get();

     
        return view('segregations.create')->with([
            //'tikas'  => $tikas,
            'chambers' => $chambers,
            'bricksclasses' => $bricksclasses,
        ]);
    }

    
    public function store(Request $request)
    {   
        
        $this->validateRequest($request,null);
        
        $segregation = new Segregation();
        
        
        $this->setSegregation($segregation,$request);

        
        switch ($request->input('sbbtn')) {
            case '1':
                return redirect('/segregations/create')->with('info','New Segregation has been created!');
                break;
    
            case '2':
                return redirect('/segregations')->with('info','New Segregation has been created!');
                break;
    
           
        }
        
        
    }

    public function show($id)
    {
        $segregation = Segregation::find($id);
        return view('segregations.show')->with('segregation',$segregation);
    }

    public function edit($id)
    {
        
        //$tikas = Tika::orderBy('tika_name','asc')->get();
        $chambers = Chamber::orderBy('chambers_name','asc')->get();
        $bricksclasses = Bricksclass::orderBy('bricksclass_name','asc')->get();

        $segregation = Segregation::find($id);
     
        return view('segregations.edit')->with([
            // 'tikas'  => $tikas,
            'chambers' => $chambers,
            'bricksclasses' => $bricksclasses,
            'segregation' => $segregation,
            
          
        ]);
    }

    public function update(Request $request, $id)
    {

        $this->validateRequest($request,$id);
        $segregation = Segregation::find($id);
    
        $this->setSegregation($segregation,$request);
        return redirect('/segregations')->with('info','Selected Segregation has been updated!');
    }

   
    public function destroy($id)
    {
        $segregation = Segregation::find($id);
        $segregation->delete();
        return redirect('/segregations')->with('info','Selected Segregation has been deleted!');
    }

    /**
     *  Search For Resource(s)
     * 
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function search(Request $request){
        $this->validate($request,[
            'search'   => 'required'
            
        ]);
        $str = $request->input('search');
        $option = $request->input('options');
        $segregations = new Segregation();
        if($option == 'chambers_name'){
            $chambers = Chamber::where($option, 'LIKE' , '%'.$str.'%')->get(['id']);
            
            if(isset($chambers)){
        
                foreach($chambers as $chamber) {
                    $c_id[] = $chamber->id;
                   } 
                $chamber_ids = implode(',',$c_id);
                // print_r($unit_ids);
                $segregations = Segregation::whereIn('chamber_id' , [$chamber_ids])
                ->paginate(20);
                // print_r($sales);
            }

        }
        elseif($option == 'bricksclass_name'){
            $bricks = Bricksclass::where($option, 'LIKE' , '%'.$str.'%')->get(['id']);
            
            if(isset($bricks)){
        
                foreach($bricks as $brick) {
                    $b_id[] = $brick->id;
                   } 
                $bricksclass_ids = implode(',',$b_id);
               
                $segregations = Segregation::whereIn('bricksclass_id' , [$bricksclass_ids])
                ->paginate(20);
                // print_r($sales);
            }
            }
        elseif($option == 'segregate_at'){

        $segregations = Segregation::where('segregate_at', 'LIKE' , '%'.$str.'%')
        ->orderBy('segregate_at','asc')
        ->Paginate(4);
        }
        else{
        $segregations = Segregation::where('segregate_at', 'LIKE' , '%'.$str.'%')
        ->orderBy('segregate_at','asc')
        ->Paginate(4);
        }
        return view('segregations.index')->with(['segregations' => $segregations , 'search' => true ]);
    }

    private function validateRequest($request,$id){
        
        return $this->validate($request,[
            'segregate_at' => 'required',
            // 'tika'     =>  'required',
            'chamber' => '',
            'bricksclass' => '',
            'created_by' =>'',
            'updated_by' => '',
            'no_of_bricks'=>'',
          
         
            
        ]);
    }
    private function setSegregation(Segregation $segregation,Request $request){
        $old_no_of_bricks = $segregation->no_of_bricks? $segregation->no_of_bricks:0;
        $segregation->segregate_at    = date('Y-m-d', strtotime(str_replace('-', '/', $request->input('segregate_at'))));
       
        // $segregation->tika_id      = $request->input('tika');
        $segregation->chamber_id      = $request->input('chamber');
        $segregation->bricksclass_id      = $request->input('bricksclass');
        $segregation->no_of_bricks = $request->input('no_of_bricks');
        // $segregation->save();
    
      if($segregation->save()) {
         $bricks_diff =  $segregation->no_of_bricks  - $old_no_of_bricks ;
        $unit_id = $segregation->empChamber->unit_id;
        $inventory = Inventory::where('bricksclass_id','=',$request->input('bricksclass'))->where('units_id','=',$unit_id)->orderBy('id','desc')->first();
       // print_r($inventory);
        if(!isset($inventory)){
            $inventory = new Inventory(); 
            $inventory->units_id      =  $unit_id;
            $inventory->created_by      =  5;
            $inventory->no_of_bricks = 0;
            $inventory->bricksclass_id      = $request->input('bricksclass');
        }
        
        $inventory->no_of_bricks = $bricks_diff + $inventory->no_of_bricks;
        $inventory->updated_by      =  5;
        $inventory->save(); 
    } 
    }
}
