<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Tika;

class TikasController extends Controller
{
   
    public function __construct(){
        $this->middleware('auth');
    }
    
    public function index()
    {
        
        
        $tikas = Tika::Paginate(20);
        return view('sys_mg.tikas.index')->with('tikas',$tikas);
    }

    public function create()
    {
        return view('sys_mg.tikas.create');
    }

    public function store(Request $request)
    {
        $this->validate($request,[
            'tika_name' => 'required|unique:tikas',
            'no_of_bricks'=>'',
            'created_by'=> '',
            'updated_by'=> ''
        ]);
        $tika = new Tika();
        $tika->tika_name = $request->input('tika_name');
        $tika->no_of_bricks = $request->input('no_of_bricks');
        $tika->save();
        return redirect('/tikas')->with('info','New Tika has been created!');
    }

    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        $tika = Tika::find($id);
        return view('sys_mg.tikas.edit')->with('tika',$tika);
    }

    public function update(Request $request, $id)
    {
        $this->validate($request,[
            'tika_name' => 'required|unique:tikas',
            'no_of_bricks'=>'',
            'created_by'=> '',
            'updated_by'=> ''
        ]);

        $tika = Tika::find($id);
        $tika->tika_name = $request->input('tika_name');
        $tika->no_of_bricks = $request->input('no_of_bricks');
        $tika->save();
        return redirect('/tikas')->with('info','Selected tika has been Updated!');
    }

    public function destroy($id)
    {
        $tika = Tika::find($id);
        $tika->delete();
        return redirect('/tikas')->with('info','Selected Tika has been deleted!');
    }

    public function search(Request $request){
        $this->validate($request,[
            'search' => 'required'
        ]);
        $str = $request->input('search');
        $tikas = Tika::where( 'tika_name' , 'LIKE' , '%'.$str.'%' )
            ->orderBy('tika_name','asc')
            ->paginate(4);
        return view('sys_mg.tikas.index')->with([ 'tikas' => $tikas ,'search' => true ]);
    }
}
