@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Update Chamber</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('chambers.update',$chamber->id)}}" method="POST" enctype="multipart/form-data">
                        <div class="row">
                        <div class="input-field col s12 m6 l6 xl4 offset-xl2">
                                <i class="material-icons prefix">hub</i>
                                <input type="text" name="chambers_name" id="chambers_name" value="{{Request::old('chambers_name') ? : $chamber->chambers_name}}">
                                <label for="chambers_name">Chamber Name</label>
                                <span class="{{$errors->has('chambers_name') ? 'helper-text red-text' : ''}}">{{$errors->first('chambers_name')}}</span>
                            </div>
                            <div class="input-field col s12 m6 l6 xl4">
                                <i class="material-icons prefix">functions</i>
                                <input type="text" name="dimension" id="dimension" value="{{Request::old('dimension') ? :$chamber->dimension}}">
                                <label for="dimension">Dimension</label>
                                <span class="{{$errors->has('dimension') ? 'helper-text red-text' : ''}}">{{$errors->has('dimension')}}</span>
                            </div>
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                <i class="material-icons prefix">business</i>
                                <select name="unit" class="unit" style="width: 100%;">
                                    <option value="" disabled>Choose a Unit</option>
                                    @foreach($units as $unit)
                                        <option value="{{$unit->id}}" {{old('unit') ? 'selected' : ''}} {{ $chamber->empUnit==$unit ? 'selected' : '' }} >{{$unit->unit_name}}</option>
                                    @endforeach
                                </select>
                                
                            </div>
                            
                        </div>
                        @method('PUT')
                        @csrf()
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Update</button>
                        </div>
                    </form>
                    <script type="text/javascript">
   
                        $('.unit').select2();
                    </script>
                </div>
                <div class="card-action">
                    <a href="/chambers"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection