@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Create New Inventory</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('inventories.store')}}" method="POST" enctype="multipart/form-data">
                        <div class="row">
                           
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                  <i class="material-icons prefix">business</i>
                                <select name="unit">
                                    <option value="" disabled {{ old('unit') ? '' : 'selected' }}>Choose a unit</option>
                                    @foreach($units as $unit)
                                        <option value="{{$unit->id}}" {{ old('unit') ? 'selected' : '' }}>{{$unit->unit_name}}</option>
                                    @endforeach
                                </select>
                                <label>Unit</label>
                            </div>
                            

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                  <i class="material-icons prefix">person</i>
                                <select name="bricksclass">
                                    <option value="" disabled {{ old('bricksclass') ? '' : 'selected' }}>Choose a Bricks Name</option>
                                    @foreach($bricksclasses as $bricksclass)
                                        <option value="{{$bricksclass->id}}" {{ old('bricksclass') ? 'selected' : '' }}>{{$bricksclass->bricksclass_name}}</option>
                                    @endforeach
                                </select>
                                <label>Bricks Name</label>
                            </div>

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                            <i class="material-icons prefix">numbers</i>
                                <input type="text" name="no_of_bricks" id="no_of_bricks" class="validate" value="{{ Request::old('no_of_bricks') ? : '' }}">
                                <label for="no_of_bricks">No Of Bricks</label>
                                <span class="{{$errors->has('no_of_bricks') ? 'helper-text red-text' : '' }}">{{$errors->first('no_of_bricks')}}</span>
                            </div>
                         
                           
                            
                           
                        </div>
                        @csrf()
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Add</button>
                        </div>
                    </form>
                </div>
                <div class="card-action">
                    <a href="/inventories"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection