@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Create New Labour</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('labours.store')}}" method="POST" enctype="multipart/form-data">
                        <div class="row">
                            <div class="input-field col s12 m6 l6 xl4 offset-xl2">
                                <i class="material-icons prefix">person</i>
                                <input type="text" name="first_name" id="first_name" value="{{Request::old('first_name') ? : ''}}">
                                <label for="first_name">First Name</label>
                                <span class="{{$errors->has('first_name') ? 'helper-text red-text' : ''}}">{{$errors->first('first_name')}}</span>
                            </div>
                            <div class="input-field col s12 m6 l6 xl4">
                                <i class="material-icons prefix">person</i>
                                <input type="text" name="last_name" id="last_name" value="{{Request::old('last_name') ? : ''}}">
                                <label for="last_name">Last Name</label>
                                <span class="{{$errors->has('first_name') ? 'helper-text red-text' : ''}}">{{$errors->first('first_name')}}</span>
                            </div>
                         
                           
                            <div class="input-field col s12 m6 l6 xl8 offset-xl2">
                                <i class="material-icons prefix">contact_phone_no</i>
                                <input type="text" name="phone_no" maxlength="10" pattern="[0-9]*" id="phone_no" value="{{Request::old('phone_no') ? : ''}}">
                                <label for="phone_no">phone_no</label>
                                <span class="{{$errors->has('phone_no') ? 'helper-text red-text' : ''}}">{{$errors->has('phone_no') ? $errors->first('phone_no') : ''}}</span>
                            </div>
                            <div class="input-field col s12 m6 l6 xl8 offset-xl2">
                                <i class="material-icons prefix">add_location</i>
                                <textarea name="address" id="address" class="materialize-textarea" >{{Request::old('address') ? : ''}}</textarea>
                                <label for="address">Address</label>
                                <span class="{{$errors->has('address') ? 'helper-text red-text' : ''}}">{{$errors->has('address') ? $errors->first('address') : ''}}</span>
                            </div>

                        
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">business</i>
                                <select name="unit" class="unit" style="width: 100%;">
                                    <option value="" disabled {{ old('unit') ? '' : 'selected' }}>Choose a unit</option>
                                    @foreach($units as $unit)
                                        <option value="{{$unit->id}}" {{ old('unit') ? 'selected' : '' }}>{{$unit->unit_name}}</option>
                                    @endforeach
                                </select>
                              
                            </div>
                            

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">person</i>
                                <select name="contractor" class="contractor" style="width: 100%;">
                                    <option value="" disabled {{ old('contractor') ? '' : 'selected' }}>Choose a Contractor</option>
                                    @foreach($contractors as $contractor)
                                        <option value="{{$contractor->id}}" {{ old('contractor') ? 'selected' : '' }}>{{$contractor->first_name}} {{$contractor->last_name}}</option>
                                    @endforeach
                                </select>
                                
                            </div>
                         
                            <div class="input-field col m6 l6 xl4 offset-xl2">
                                <i class="material-icons prefix">date_range</i>
                                <input type="text" name="join_date" id="join_date" class="datepicker" value="{{old('join_date') ? : ''}}">
                                <label for="join_date">date joined</label>
                                <span class="{{$errors->has('join_date') ? 'helper-text red-text' : ''}}">{{$errors->has('join_date') ? $errors->first('join_date') : ''}}</span>
                            </div>
                            <div class="input-field col s12 m6 l6 xl4">
                                <i class="material-icons prefix">date_range</i>
                                <input type="text" name="birth_date" id="birth_date" class="datepicker" value="{{Request::old('birth_date') ? : ''}}">
                                <label for="birth_date">Date of birth</label>
                                <span class="{{$errors->has('birth_date') ? 'helper-text red-text' : ''}}">{{$errors->has('birth_date') ? $errors->first('birth_date') : '' }}</span>
                            </div>
                            
                           
                        </div>
                        @csrf()
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Add</button>
                        </div>
                    </form>

                    <script type="text/javascript">
   
                        $('.unit').select2();
                        $('.contractor').select2();
                    </script>
                </div>
                <div class="card-action">
                    <a href="/labours"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection