@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Enter New Loading Detail</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('loadings.store')}}" method="POST" enctype="multipart/form-data">
                        <div class="row">
                            <div class="input-field col m6 l6 xl4 offset-xl2">
                                <i class="material-icons prefix">date_range</i>
                                <input type="text" name="loading_at" id="loading_at" class="datepicker" value="{{old('loading_at') ? : now()->todatestring()}}">
                                <label for="loading_at">Loading Date</label>
                                <span class="{{$errors->has('loading_at') ? 'helper-text red-text' : ''}}">{{$errors->has('loading_at') ? $errors->first('join_date') : ''}}</span>
                            </div>

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">view_module</i>
                                <select name="tika" class="tika" style="width: 100%;">
                                    <option value="" disabled {{ old('tika') ? '' : 'selected' }}>Choose a Tika</option>
                                    @foreach($tikas as $tika)
                                        <option value="{{$tika->id}}" {{ old('tika') ? 'selected' : '' }}>{{$tika->tika_name}}</option>
                                    @endforeach
                                </select>
                               
                            </div>

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                <i class="material-icons prefix">numbers</i>
                                <input type="number" name="no_of_tika" id="no_of_tika" value="{{Request::old('no_of_tika') ? : ''}}">
                                <label for="no_of_tika">No of tika</label>
                                <span class="{{$errors->has('no_of_tika') ? 'helper-text red-text' : ''}}">{{$errors->has('no_of_tika') ? $errors->first('no_of_tika') : ''}}</span>
 
                            </div>
                            

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">hub</i>
                                <select name="chamber" class="chamber" style="width: 100%">
                                    <option value="" disabled {{ old('chamber') ? '' : 'selected' }}>Choose a Chamber</option>
                                    @foreach($chambers as $chamber)
                                        <option value="{{$chamber->id}}" {{ old('chamber') ? 'selected' : '' }}>{{$chamber->chambers_name}}</option>
                                    @endforeach
                                </select>
                               
                            </div>

                            
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">person</i>
                                <select name="labour" id="select2" class="form-control select2" style="width: 100%;">
                                    <option value="" disabled {{ old('labour') ? '' : 'selected' }}>Choose a Labour</option>
                                    @foreach($labours as $labour)
                                        <option value="{{$labour->id}}" {{ old('labour') ? 'selected' : '' }}>{{$labour->first_name}} {{$labour->last_name}}</option>
                                    @endforeach
                                </select>
                                
                            </div>
                         
                            
                           
                        </div>
                        @csrf()
                        <div class="row">
                            <button type="submit" name="sbbtn" value="1" class="btn waves-effect waves-light col s6 offset-s3 m4 offset-m3 l2 offset-l3 xl2 offset-xl3">Add & Continue</button>
                            <button type="submit" name="sbbtn" value="2" class="btn waves-effect waves-light col s6 offset-s1 m4 offset-m1 l2 offset-l1 xl2 offset-xl1">Submit</button>
                        </div>
                    </form>
                    <script type="text/javascript">
                           
                        //   $(document).ready(function() {
                            $('.select2').select2();
                            $(".tika").select2();
                            $(".chamber").select2();
                        //  });
                        
                    </script>
                </div>
                <div class="card-action">
                    <a href="/loadings"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection