@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Update Moulding Detail</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('mouldings.update',$moulding->id)}}" method="POST" enctype="multipart/form-data">
                        <div class="row">
                        <div class="input-field col m6 l6 xl4 offset-xl2">
                                <i class="material-icons prefix">date_range</i>
                                <input type="text" name="moulding_at" id="moulding_at" class="datepicker" value="{{old('moulding_at') ? : $moulding->moulding_at}}">
                                <label for="moulding_at">Moulding Date</label>
                                <span class="{{$errors->has('moulding_at') ? 'helper-text red-text' : ''}}">{{$errors->has('moulding_at') ? $errors->first('join_date') : ''}}</span>
                            </div>
                           
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">business</i>
                                <select name="unit" class="unit" style="width: 100%">
                                    <option value="" disabled >Choose a unit</option>
                                    @foreach($units as $unit)
                                        <option value="{{$unit->id}}" {{ old('unit') ? 'selected' : '' }} {{ $moulding->jbiUnit==$unit ? 'selected' : '' }} >{{$unit->unit_name}}</option>
                                    @endforeach
                                </select>
                               
                            </div>
                            
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">person</i>
                                <select name="labour" class="chosen" style="width: 100%">
                                    <option value="" disabled>Choose a Labour</option>
                                    @foreach($labours as $labour)
                                        <option value="{{$labour->id}}" {{ old('labour') ? 'selected' : '' }}  {{ $moulding->jbiLabour==$labour ? 'selected' : '' }}>{{$labour->first_name}} {{$labour->last_name}}</option>
                                    @endforeach
                                </select>
                              
                            </div>
                         
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                <i class="material-icons prefix">numbers</i>
                                <input type="text" name="no_of_bricks" id="no_of_bricks" class="validate" value="{{ Request::old('no_of_bricks') ? : $moulding->no_of_bricks}}">
                                <label for="no_of_bricks">no_of_bricks</label>
                                <span class="{{$errors->has('no_of_bricks') ? 'helper-text red-text' : '' }}">{{$errors->first('no_of_bricks')}}</span>
                            </div>
                           
                        </div>
                        @method('PUT')
                        @csrf()
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Add</button>
                        </div>
                    </form>
                    <script type="text/javascript">

                        $(".chosen").select2();
                        $(".unit").select2();
                    </script>
                </div>
                <div class="card-action">
                    <a href="/mouldings"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection