@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Create New Role</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('roles.store')}}" method="POST" enctype="multipart/form-data">
                        <div class="row">
                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2">
                                <i class="material-icons prefix">person_outline</i>
                                <input type="text" name="role_name" class="form-control" id="role_name" placeholder="Role name..." value="{{ old('role_name') }}" required>
                                <label for="role_name">Role Name</label>
                                <span class="{{$errors->has('role_name') ? 'helper-text red-text' : ''}}">{{$errors->has('role_name')}}</span>
                            </div>
                            <!-- <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2">
                                <i class="material-icons prefix">person_outline</i>
                                <input type="text" name="role_slug" tag="role_slug" class="form-control" id="role_slug" placeholder="Role Slug..." value="{{ old('role_slug') }}">
                                <label for="role_slug">Role Slug</label>
                                <span class="{{$errors->has('role_slug') ? 'helper-text red-text' : ''}}">{{$errors->has('role_slug')}}</span>
                            </div> -->
                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2">
                            <i class="material-icons prefix">person_outline</i>
                                <label for="roles_permissions">Add Permissions</label>
                                <input type="text" data-role="tagsinput" name="roles_permissions" class="form-control" id="roles_permissions" value="{{ old('roles_permissions') }}">
                                
                                <span class="{{$errors->has('roles_permissions') ? 'helper-text red-text' : ''}}">{{$errors->has('roles_permissions')}}</span>
                            </div>
                            
                        </div>
                        @csrf()
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Add</button>
                        </div>
                    </form>
                    @section('css_role_page')
                    <link rel="stylesheet" href="/css/bootstrap-tagsinput.css">
                     @endsection

                    @section('js_role_page')
                    <script src="/js/bootstrap-tagsinput.js"></script>

                    <script>

                         $(document).ready(function(){
                            $('#role_name').keyup(function(e){
                            var str = $('#role_name').val();
                            str = str.replace(/\W+(?!$)/g, '-').toLowerCase();//rplace stapces with dash
                            $('#role_slug').val(str);
                            $('#role_slug').attr('placeholder', str);
                            });
                        });
                        
                    </script>
                    @endsection
                </div>
                <div class="card-action">
                <a href="/roles"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection