@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Update Sales Report</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('sales.update',$sale->id)}}" method="POST" enctype="multipart/form-data">
                        <div class="row">

                        <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                <i class="material-icons prefix">date_range</i>
                                <input type="text" name="sale_at" id="sale_at" class="datepicker" value="{{old('sale_at') ? : $sale->sale_at}}">
                                <label for="sale_at">Sale At</label>
                                <span class="{{$errors->has('sale_at') ? 'helper-text red-text' : ''}}">{{$errors->has('sale_at') ? $errors->first('sale_at') : ''}}</span>
                            </div>

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                <i class="material-icons prefix">drive_eta</i>
                                <input type="text" name="vehicle_no" id="vehicle_no" class="validate" value="{{ Request::old('vehicle_no') ? : $sale->vehicle_no }}">
                                <label for="vehicle_no">Vehicle Number</label>
                                <span class="{{$errors->has('vehicle_no') ? 'helper-text red-text' : '' }}">{{$errors->first('vehicle_no')}}</span>
                            </div>
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                <i class="material-icons prefix">content_paste</i>
                                <input type="text" name="chalan_no" id="chalan_no" class="validate" value="{{ Request::old('chalan_no') ? :$sale->chalan_no }}">
                                <label for="chalan_no">Chalan Numbber</label>
                                <span class="{{$errors->has('chalan_no') ? 'helper-text red-text' : '' }}">{{$errors->first('chalan_no')}}</span>
                            </div>

                            

                            <div class="col col s12 m12 l12 xl8 offset-xl2">
                            <div class="input-field col col s12 m8 l8 xl8 select-col-hide">
                                  <i class="material-icons prefix">person</i>
                                <select name="customer" class="cust"  style="width: 100%;">
                                    <option value="" disabled {{ old('customer') ? '' : 'selected' }}>Choose a customer</option>
                                    @foreach($customers as $customer)
                                        <option value="{{$customer->id}}" {{ old('customer') ? 'selected' : '' }} {{ $sale->empCustomer==$customer ? 'selected' : '' }}>{{$customer->first_name}} {{$customer->last_name}} → {{$customer->phone_no}}</option>
                                    @endforeach
                                </select>
                                
                                
                            </div>
                                <div class="lg s12 m4 l4 xl4 offset-xl4">
                                    <a class="btn" href="{{route('customers.create')}}">Add New Customer</a>
                                </div> 
                            </div>
                            
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                <i class="material-icons prefix">business</i>
                                <select name="unit" class="unit"  style="width: 100%;">
                                    <option value="" disabled>Choose a Unit</option>
                                    @foreach($units as $unit)
                                        <option value="{{$unit->id}}" {{old('unit') ? 'selected' : ''}} {{ $sale->empUnit==$unit ? 'selected' : '' }} >{{$unit->unit_name}}</option>
                                    @endforeach
                                </select>
                               
                            </div>
                            

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                  <i class="material-icons prefix">person</i>
                                <select name="bricksclass"class="bricksclass_name"  style="width: 100%;">
                                    <option value="" disabled>Choose a Bricks Name</option>
                                    @foreach($bricksclasses as $bricksclass)
                                        <option value="{{$bricksclass->id}}" {{ old('bricksclass') ? 'selected' : '' }} {{ $sale->empBricksclass==$bricksclass ? 'selected' : '' }}>{{$bricksclass->bricksclass_name}}</option>
                                    @endforeach
                                </select>
                               
                            </div>

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                            <i class="material-icons prefix">numbers</i>
                                <input type="number" name="no_of_bricks" id="no_of_bricks" class="validate" value="{{ Request::old('no_of_bricks') ? : $sale->no_of_bricks }}">
                                <label for="no_of_bricks">No Of Bricks</label>
                                    @if ($errors->any('invalid No. of Bricks') )
                                        @foreach ($errors->all('invalid No. Bricks') as $error)
                                            <div class= 'helper-text red-text'>{{$error}}</div>
                                        @endforeach
                                    @endif
                            </div>
                            
                            <div class="col col s12 m12 l12 xl8 offset-xl2">
                                <div class="input-field col col s6 m6 l6 xl6">
                                    <i class="material-icons prefix">currency_rupee</i>
                                    <input type="number" name="price" id="price" class="validate u_price" value="{{ Request::old('price') ? : $sale->price }}">
                                    <label for="price">Price per Brick</label>
                                    <span class="{{$errors->has('price') ? 'helper-text red-text' : '' }}">{{$errors->first('price')}}</span>
                                </div>   
                                <div class="input-field col col s6 m6 l6 xl6 ">
                                    <i class="material-icons prefix">currency_rupee</i>
                                    <input type="text" name="sale_amount" id="sale_amount" class="validate" value="{{ Request::old('sale_amount') ? : $sale->sale_amount }}" readonly>
                                    <label for="sale_amount">Sale Amount</label>
                                    <span class="{{$errors->has('sale_amount') ? 'helper-text red-text' : '' }}">{{$errors->first('sale_amount')}}</span>
                                </div>
                               
                            </div>

                            <div class="col col s12 m12 l12 xl8 offset-xl2">
                                <div class="input-field col col s6 m6 l6 xl6 ">
                                    <i class="material-icons prefix">currency_rupee</i>
                                    <input type="text" name="actual_amount" id="actual_amount" class="validate" value="{{ Request::old('actual_amount') ? : $sale->actual_amount }}" readonly>
                                    <label for="actual_amount">Actual Amount</label>
                                    <span class="{{$errors->has('actual_amount') ? 'helper-text red-text' : '' }}">{{$errors->first('actual_amount')}}</span>
                                </div>
                                <div class="input-field col col s6 m6 l6 xl6 ">
                                    <i class="material-icons prefix">currency_rupee</i>
                                    <input type="text" name="total_discount" id="total_discount" class="validate" value="{{ Request::old('total_discount') ? : $sale->total_discount }}" readonly>
                                    <label for="total_discount">Total Discount</label>
                                    <span class="{{$errors->has('total_discount') ? 'helper-text red-text' : '' }}">{{$errors->first('total_discount')}}</span>
                                </div>
                            </div>
                           
                            

                            
                        </div>
                        @method('PUT')
                        @csrf()
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Update</button>
                        </div>
                    </form>
                    <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script> -->

<script type="text/javascript">

    // $('.bricksclass_name').select2();
     $('.unit').select2();
     $('.cust').select2();
	$(document).ready(function(){

		$(document).on('change','.bricksclass_name',function () {
            var var1=null;
			var bricks_id=$(this).val();
            
			var a=$(this).parent();
			console.log(bricks_id);
			var op="";
			$.ajax({
                
				type:'get',
				url:'{!!URL::to('findPrice')!!}',
				data:{'bricksclass_id':bricks_id},
				dataType:'json',//return data will be json
				success:function(response){
					console.log("price");
					console.log(response.price);
                    window.var1=response.price;
					// here price is coloumn name in products table data.coln name
                    $("label[for=\"" + "price" + "\"]").addClass("active");
					$('#price').val(response.price);

				},
				error:function(){

				}

			});
          

		});

        // $(document).on('input','#no_of_bricks',function (){
        //     var var2 = $("#no_of_bricks").val();
        //     $('#actual_amount').val(var1*var2); // Something has changed so lets rebuild the target
        //         });

            $(document).on('input','#no_of_bricks',function (){
                var var2 = $("#no_of_bricks").val();
                $("label[for=\"" + "actual_amount" + "\"]").addClass("active");
                $('#actual_amount').val(window.var1*var2);
                window.var3=window.var1*var2;
                setSaleamount() ; // Something has changed so lets rebuild the target
                });

            $(document).on('input','#price',function (){
            setSaleamount();// Something has changed so lets rebuild the target
            });

           

            

    });
    
    

	
    // Just get the values you want and update the target
    function setSaleamount(){
        var tmp = $("#no_of_bricks").val();
        var tmp1= $("#price").val();
        $("label[for=\"" + "sale_amount" + "\"]").addClass("active");
        $('#sale_amount').val(tmp*tmp1);
        var var4=tmp*tmp1;
        $("label[for=\"" + "total_discount" + "\"]").addClass("active");
        $('#total_discount').val(window.var3-var4);

    }

   

</script>
                </div>
                <div class="card-action">
                    <a href="/sales"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection