@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Update Segregation Detail</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('segregations.update',$segregation->id)}}" method="POST" enctype="multipart/form-data">
                        <div class="row">
                        <div class="input-field col m6 l6 xl4 offset-xl2">
                                <i class="material-icons prefix">date_range</i>
                                <input type="text" name="segregate_at" id="segregate_at" class="datepicker" value="{{old('segregate_at') ? : $segregation->segregate_at}}">
                                <label for="segregate_at">Segregation Date</label>
                                <span class="{{$errors->has('segregate_at') ? 'helper-text red-text' : ''}}">{{$errors->has('segregate_at') ? $errors->first('segregate_at') : ''}}</span>
                            </div>
                          

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">hub</i>
                                <select name="chamber" class="chamber" style="width: 100%;">
                                    <option value="" disabled>Choose a Chamber</option>
                                    @foreach($chambers as $chamber)
                                        <option value="{{$chamber->id}}" {{ old('chamber') ? 'selected' : '' }}  {{ $segregation->empChamber==$chamber ? 'selected' : '' }}>{{$chamber->chambers_name}}</option>
                                    @endforeach
                                </select>
                               
                            </div>

                            
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">view_agenda</i>
                                <select name="bricksclass" class="bricksclass" style="width: 100%;">
                                    <option value="" disabled>Choose a Bricksclass</option>
                                    @foreach($bricksclasses as $bricksclass)
                                        <option value="{{$bricksclass->id}}" {{ old('bricksclass') ? 'selected' : '' }}  {{ $segregation->empBricksclass==$bricksclass ? 'selected' : '' }}>{{$bricksclass->bricksclass_name}}</option>
                                    @endforeach
                                </select>
                               
                            </div>

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                            <i class="material-icons prefix">numbers</i>
                                <input type="number" name="no_of_bricks" id="no_of_bricks" class="validate" value="{{ Request::old('no_of_bricks') ? : $segregation->no_of_bricks}}">
                                <label for="no_of_bricks">no_of_bricks</label>
                                <span class="{{$errors->has('no_of_bricks') ? 'helper-text red-text' : '' }}">{{$errors->first('no_of_bricks')}}</span>
                            </div>
                         
                            
                           
                        </div>
                        @method('PUT')
                        @csrf()
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Update</button>
                        </div>
                    </form>
                    <script type="text/javascript">
                           
                          
                           $(".bricksclass").select2();
                           $(".chamber").select2();
                       
                       
                   </script>
                </div>
                <div class="card-action">
                    <a href="/segregations"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection