@extends('layouts.app')
@section('content')
<div class="container">
    <h4 class="grey-text text-darken-2 center">Tika Management</h4>
    
    {{-- Include the searh component with with title and route --}}
    @component('sys_mg.inc.search',['title' => 'Tika' , 'route' => 'tikas.search'])
    @endcomponent

    <div class="row">
        
        <div class="card col s12 m12 l12 xl12">
            <div class="card-content">
                <div class="row">
                    <h5 class="pl-15 grey-text text-darken-2">Tikas List</h5>
                  
                    <table class="responsive-table col s12 m12 l12 xl12">
                        <thead class="grey-text text-darken-2">
                            <tr>
                                <th>ID</th>
                                <th>Tika Name</th>
                                <th>No Of Bricks</th>
                                <th>Created at</th>
                                <th>Updated at</th>
                                <th>Options</th>
                            </tr>
                        </thead>
                        <tbody>
                            
                            @if($tikas->count())
                                @foreach($tikas as $tika)
                                    <tr>
                                        <td>{{$tika->id}}</td>
                                        <td>{{$tika->tika_name}}</td>
                                        <td>{{$tika->no_of_bricks}}</td>
                                        <td>{{$tika->created_at->todatestring()}}</td>
                                        <td>{{$tika->updated_at->todatestring()}}</td>
                                        <td>
                                            <div class="row mb-0">
                                              <div class="col">
                                                    <a href="{{route('tikas.edit',$tika->id)}}" class="btn btn-floating btn-small waves=effect waves-light orange"><i class="material-icons">mode_edit</i></a>
                                                </div>
                                                @can('isAdmin')
                                                <div class="col">
                                                    <form action="{{route('tikas.destroy',$tika->id)}}" method="POST">
                                                        @method('DELETE')
                                                        @csrf()
                                                        <button type="submit" class="btn btn-floating btn-small waves=effect waves-light red"><i class="material-icons">delete</i></button>
                                                    </form>
                                                </div>
                                                @endcan
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            @else
                                
                                <tr>
                                    <td colspan="5"><h6 class="grey-text text-darken-2 center">No Tikas have been found yet!</h6></td>
                                </tr>
                            @endif
                            @if(isset($search))
                                <tr>
                                    <td colspan="3">
                                        <a href="/tikas" class="right">Show All</a>
                                    </td>
                                </tr>
                            @endif
                        </tbody>
                    </table>
                   
                </div>
                <!-- Show Pagination Links -->
                <div class="center">
                  {{$tikas->links('vendor.pagination.default',['paginator' => $tikas])}}
                </div>
            </div>
        </div>
        <!-- Card END -->
    </div>
</div>



<div class="fixed-action-btn">
    <a class="btn-floating btn-large waves=effect waves-light red" href="{{route('tikas.create')}}">
        <i class="large material-icons">add</i>
    </a>
</div>
@endsection