@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2 card-mt-15">
                <h4 class="center grey-text text-darken-2 card-title">Add Unit</h4>
                <div class="card-content">
                    <div class="row">
                        <!--
                            $errors has all validation errors if you wanna
                            show validation failure message then you can use it
                            like below.
                            $errors->has('input name') will return boolean
                            Request::old('input name') will return the value of the input field
                            that we have submitted.
                            $errors->first('input name') will return the first validation error,
                            so you can show it on the form.
                        -->
                        <form action="{{route('units.store')}}" method="POST">
                            <div class="input-field no-margin">
                                <i class="material-icons prefix">cottage</i>
                                <input type="text" name="unit_name" id="unit_name" class="validate" value="{{ Request::old('unit_name') ? : '' }}">
                                <label for="unit_name">Unit Name</label>
                                <span class="{{$errors->has('unit_name') ? 'helper-text red-text' : '' }}">{{$errors->first('unit_name')}}</span>
                            </div>

                            <div class="input-field no-margin">
                                <i class="material-icons prefix">hub</i>
                                <input type="number" name="no_of_chamber" id="no_of_chamber" class="validate" value="{{ Request::old('no_of_chamber') ? : '' }}">
                                <label for="no_of_chamber">Total Chambers</label>
                                <span class="{{$errors->has('no_of_chamber') ? 'helper-text red-text' : '' }}">{{$errors->first('no_of_chamber')}}</span>
                            </div>
                            
                            <div class="input-field no-margin">
                                <i class="material-icons prefix">business</i>
                                <input type="text" name="address" id="address" class="validate" value="{{ Request::old('address') ? : '' }}">
                                <label for="address">Address</label>
                                <span class="{{$errors->has('address') ? 'helper-text red-text' : '' }}">{{$errors->first('address')}}</span>
                            </div>

                            <!-- <div class="input-field no-margin">
                            <i class="material-icons prefix">co_present</i>
                                <input type="text" name="created_by" id="created_by" class="validate" value="{{ Request::old('created_by') ? :  Auth::user()->username  }}" readonly>
                                <label for="created_by">Created By</label>
                                <span class="{{$errors->has('created_by') ? 'helper-text red-text' : '' }}">{{$errors->first('created_by')}}</span>
                            </div>


                            <div class="input-field no-margin">
                            <i class="material-icons prefix">co_present</i>
                                <input type="text" name="updated_by" id="updated_by" class="validate" value="{{ Request::old('updated_by') ? : Auth::user()->username }}" readonly>
                                <label for="updated_by">Updated By</label>
                                <span class="{{$errors->has('updated_by') ? 'helper-text red-text' : '' }}">{{$errors->first('updated_by')}}</span>
                            </div> -->



                            @csrf()
                            <button type="submit" class="btn waves-effect waves-light mt-15 col s6 offset-s3 m4 offset-m4 l4 offset-l4 xl4-offset-xl4">Add</button>
                        </form>
                    </div>
                </div>
                <div class="card-action">
                    <a href="/units"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection