@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Update Unloading Detail</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('unloadings.update',$unloading->id)}}" method="POST" enctype="multipart/form-data">
                        <div class="row">
                        <div class="input-field col m6 l6 xl4 offset-xl2">
                                <i class="material-icons prefix">date_range</i>
                                <input type="text" name="unloading_at" id="unloading_at" class="datepicker" value="{{old('unloading_at') ? : $unloading->unloading_at}}">
                                <label for="unloading_at">Loading Date</label>
                                <span class="{{$errors->has('unloading_at') ? 'helper-text red-text' : ''}}">{{$errors->has('unloading_at') ? $errors->first('join_date') : ''}}</span>
                            </div>
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">view_module</i>
                                <select name="tika" class="tika" style="width: 100%;">
                                    <option value="" disabled >Choose a Tika</option>
                                    @foreach($tikas as $tika)
                                        <option value="{{$tika->id}}" {{ old('tika') ? 'selected' : '' }} {{ $unloading->empTika==$tika ? 'selected' : '' }}>{{$tika->tika_name}}</option>
                                    @endforeach
                                </select>
                              
                            </div>

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                <i class="material-icons prefix">numbers</i>
                                <input type="text" name="no_of_tika" id="no_of_tika" class="validate" value="{{ Request::old('no_of_tika') ? : $unloading->no_of_tika}}">
                                <label for="no_of_tika">no_of_tika</label>
                                <span class="{{$errors->has('no_of_tika') ? 'helper-text red-text' : '' }}">{{$errors->first('no_of_tika')}}</span>
                            </div>
                            
                            

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">hub</i>
                                <select name="chamber" class="chamber" style="width: 100%;">
                                    <option value="" disabled>Choose a Chamber</option>
                                    @foreach($chambers as $chamber)
                                        <option value="{{$chamber->id}}" {{ old('chamber') ? 'selected' : '' }}  {{ $unloading->empChamber==$chamber ? 'selected' : '' }}>{{$chamber->chambers_name}}</option>
                                    @endforeach
                                </select>
                                
                            </div>

                            
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2 select-col-hide">
                                  <i class="material-icons prefix">person</i>
                                <select name="labour" class="form-control select2" style="width: 100%;">
                                    <option value="" disabled>Choose a Labour</option>
                                    @foreach($labours as $labour)
                                        <option value="{{$labour->id}}" {{ old('labour') ? 'selected' : '' }}  {{ $unloading->empLabour==$labour ? 'selected' : '' }}>{{$labour->first_name}} {{$labour->last_name}}</option>
                                    @endforeach
                                </select>
                               
                            </div>
                         
                            
                           
                        </div>
                        @method('PUT')
                        @csrf()
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Update</button>
                        </div>
                    </form>
                    <script type="text/javascript">
                           
                           //   $(document).ready(function() {
                               $('.select2').select2();
                               $(".tika").select2();
                               $(".chamber").select2();
                           //  });
                           
                       </script>
                </div>
                <div class="card-action">
                    <a href="/unloadings"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection