@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Update User</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="{{route('users.update',$user->id)}}" method="POST" enctype="multipart/form-data">
                        <div class="row">
                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2">
                                <i class="material-icons prefix">person_outline</i>
                                <input type="text" name="first_name" id="first_name" value="{{Request::old('first_name') ? : $user->first_name }}">
                                <label for="first_name">First Name</label>
                                <span class="{{$errors->has('first_name') ? 'helper-text red-text' : ''}}">{{$errors->first('first_name')}}</span>
                            </div>
                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2">
                                <i class="material-icons prefix">person_outline</i>
                                <input type="text" name="last_name" id="last_name" value="{{Request::old('last_name') ? : $user->last_name }}">
                                <label for="last_name">Last Name</label>
                                <span class="{{$errors->has('first_name') ? 'helper-text red-text' : ''}}">{{$errors->first('first_name')}}</span>
                            </div>
                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2">
                                <i class="material-icons prefix">person</i>
                                <input type="text" name="username" id="username" value="{{Request::old('username') ? : $user->username }}">
                                <label for="username">Username</label>
                                <span class="{{$errors->has('username') ? 'helper-text red-text' : ''}}">{{$errors->first('username')}}</span>
                            </div>
                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 offset-l2 xl8 offset-xl2">
                                <i class="material-icons prefix">lock</i>
                                <input type="password" name="password" id="password" value="{{Request::old('password') ? : '' }}">
                                <label for="password">Password</label>
                                <span class="{{$errors->has('password') ? 'helper-text red-text' : ''}}">{{$errors->has('password') ? $errors->first('password') : ''}}</span>
                            </div>
                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 offset-l2 xl8 offset-xl2">
                                <i class="material-icons prefix">email</i>
                                <input type="email" name="email" id="email" value="{{Request::old('email') ? : $user->email }}">
                                <label for="email">Email</label>
                                <span class="{{$errors->has('email') ? 'helper-text red-text' : ''}}">{{$errors->has('email') ? $errors->first('email') : ''}}</span>
                            </div>
                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 offset-l2 xl8 offset-xl2">
                                <i class="material-icons prefix">contact_phone_no</i>
                                <input type="number" name="phone_no" id="phone_no" value="{{Request::old('phone_no') ? :  $user->phone_no}}">
                                <label for="phone_no">phone</label>
                                <span class="{{$errors->has('phone_no') ? 'helper-text red-text' : ''}}">{{$errors->has('phone_no') ? $errors->first('phone_no') : ''}}</span>
 
                            </div>
                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2">
                                <i class="material-icons prefix">boy</i>
                                <!-- <label for="role">Select Role</label> -->
                                <select class="role form-control" name="role" id="role">
                                    <option value="">Select Role...</option>
                                    @foreach ($roles as $role)
                                    <option data-role-id="{{$role->id}}" data-role-slug="{{$role->slug}}" value="{{$role->id}}" {{ $user->roles->isEmpty() || $role->name != $userRole->name ? "" : "selected"}}>{{$role->name}}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2" id="permissions_box" >
                               
                                <div id="permissions_ckeckbox_list">
                                </div>
                                <label for="roles">Select Permissions</label>
                            </div> 
                            @if($user->permissions->isNotEmpty())
                                @if($rolePermissions != null)
                                    <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2" id="user_permissions_box" >
                                        <label for="roles">User Permissions</label>
                                        <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2" id="user_permissions_ckeckbox_list">                    
                                            @foreach ($rolePermissions as $permission)
                                            <div class="input-field col s12 m8 offset-m2 l8 offset-l2 xl8 offset-xl2" class="custom-control custom-checkbox">                         
                                                <input class="custom-control-input" type="checkbox" name="permissions[]" id="{{$permission->slug}}" value="{{$permission->id}}" {{ in_array($permission->id, $userPermissions->pluck('id')->toArray() ) ? 'checked="checked"' : '' }}>
                                                <label class="custom-control-label" for="{{$permission->slug}}">{{$permission->name}}</label>
                                            </div>
                                            @endforeach
                                        </div>
                                    </div>
                                @endif
                            @endif
                           
                        </div>
                        @method('PUT')
                        @csrf()
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Update</button>
                        </div>
                    </form>
                </div>
                <div class="card-action">
                <a href="/users"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>

    @section('js_user_page')

    <script>

        $(document).ready(function(){
            var permissions_box = $('#permissions_box');
            var permissions_ckeckbox_list = $('#permissions_ckeckbox_list');
            var user_permissions_box = $('#user_permissions_box');
            var user_permissions_ckeckbox_list = $('#user_permissions_ckeckbox_list');

            permissions_box.hide(); // hide all boxes


            $('#role').on('change', function() {
                var role = $(this).find(':selected');    
                var role_id = role.data('role-id');
                var role_slug = role.data('role-slug');

                permissions_ckeckbox_list.empty();
                user_permissions_box.empty();

                $.ajax({
                    url: "/users/create",
                    method: 'get',
                    dataType: 'json',
                    data: {
                        role_id: role_id,
                        role_slug: role_slug,
                    }
                }).done(function(data) {
                    
                    console.log(data);
                    
                    permissions_box.show();                        
                    // permissions_ckeckbox_list.empty();

                    $.each(data, function(index, element){
                        $(permissions_ckeckbox_list).append(       
                            '<div class="custom-control custom-checkbox">'+                         
                                '<input class="custom-control-input" type="checkbox" name="permissions[]" id="'+ element.slug +'" value="'+ element.id +'">' +
                                '<label class="custom-control-label" for="'+ element.slug +'">'+ element.name +'</label>'+
                            '</div>'
                        );

                    });
                });
            });
        });

    </script>

@endsection
@endsection