<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/**
 *  you can see the list of all the routes with all details by typing,
 *  php artisan route:list on the commandline. also change your directory to 
 *  this project directory when doing so.
 */

 /**
 * Role Route(s)
 * 
 */
Route::resource('/roles','RolesController')->middleware('can:isAdmin');
Route::post('/roles/search','RolesController@search')->name('roles.search');

/**
 * Dashboard Route(s)
 * 
 */
Route::get('/dashboard','DashboardController@index')->name('dashboard');


/**
 *  Units Route(s)
 * 
 */
Route::resource('units','UnitsController');
Route::post('/units/search','UnitsController@search')->name('units.search');


/**
 *  Moulding Route(s)
 * 
 */
Route::resource('/mouldings','MouldingsController');
Route::post('/mouldings/search','MouldingsController@search')->name('mouldings.search');


/**
 *  Loading Route(s)
 * 
 */
Route::resource('/loadings','LoadingsController');
Route::post('/loadings/search','LoadingsController@search')->name('loadings.search');

/**
 *  Unloading Route(s)
 * 
 */
Route::resource('/unloadings','UnloadingsController');
Route::post('/unloadings/search','UnloadingsController@search')->name('unloadings.search');

/**
 *  segregations Route(s)
 * 
 */
Route::resource('/segregations','SegregationsController');
Route::post('/segregations/search','SegregationsController@search')->name('segregations.search');


/**
 *  Tikas Route(s)
 * 
 */
Route::resource('/tikas','TikasController');
Route::post('/tikas/search','TikasController@search')->name('tikas.search');


/**
 *  Labour Route(s)
 * 
 */
Route::resource('/labours','LaboursController');
Route::post('/labours/search','LaboursController@search')->name('labours.search');

/**
 *  contractor Route(s)
 * 
 */
Route::resource('/contractors','ContractorsController');
Route::post('/contractors/search','ContractorsController@search')->name('contractors.search');

/**
 *  customer Route(s)
 * 
 */
Route::resource('/customers','CustomersController');
Route::post('/customers/search','CustomersController@search')->name('customers.search');



/**
 *  Chamber Route(s)
 * 
 */
Route::resource('/chambers','ChambersController');
Route::post('/chambers/search','ChambersController@search')->name('chambers.search');


/**
 *  bricksclasses Route(s)
 */
Route::resource('/bricksclasses','BricksclassesController');
Route::post('/bricksclasses/search','BricksclassesController@search')->name('bricksclasses.search');

/**
 *  sales Route(s)
 */
Route::resource('/sales','SalesController');
Route::post('/sales/search','SalesController@search')->name('sales.search');
Route::get('/findPrice','SalesController@findPrice');

/**
 *  Inventory Route(s)
 */
Route::resource('/inventories','InventoryController');
Route::post('/inventories/search','InventoryController@search')->name('inventories.search');



/**
 *  Users Route(s)
 */
Route::resource('/users','UsersController');
Route::post('/users','UsersController@search')->name('users.search');
Route::post('/users/create','UsersController@store')->name('users.store');

/**
 *  Admins Route(s)
 */
Route::resource('/admins','AdminsController');
Route::post('/admins','AdminsController@search')->name('admins.search');
Route::post('/admins/create','AdminsController@store')->name('admins.store');

/**
 *  Reports Route(s)
 */

//Show Reports View
Route::get('/reports','ReportsController@index')->name('reports.index');
//Generate PDF
Route::post('/reports/pdf','ReportsController@makeReport')->name('reports.make');


/**
 *  Auth Route(s)
 */

//show the login view
Route::get('/','AuthController@index')->name('login')->middleware('guest');

//Authenticate a user
Route::post('/','AuthController@authenticate')->name('auth.authenticate');

//logout the user
Route::get('/logout','AuthController@logout')->name('auth.logout')->middleware('auth');

//show user details
Route::get('/admin','AuthController@show')->name('auth.show')->middleware('auth');


Route::get('/password/reset','ResetPassword\ForgotPasswordController@showLinkRequestForm')->name('password.request');
Route::post('/password/email','ResetPassword\ForgotPasswordController@sendResetLinkEmail')->name('password.email');
Route::get('/password/reset/{token}','ResetPassword\ResetPasswordController@showResetForm')->name('password.reset');
Route::post('/password/reset','ResetPassword\ResetPasswordController@reset');

