<?php $__env->startSection('content'); ?>
<div class="container">
    <h4 class="grey-text text-darken-2 center">Tika Management</h4>
    
    
    <?php $__env->startComponent('sys_mg.inc.search',['title' => 'Tika' , 'route' => 'tikas.search']); ?>
    <?php echo $__env->renderComponent(); ?>

    <div class="row">
        
        <div class="card col s12 m12 l12 xl12">
            <div class="card-content">
                <div class="row">
                    <h5 class="pl-15 grey-text text-darken-2">Tikas List</h5>
                  
                    <table class="responsive-table col s12 m12 l12 xl12">
                        <thead class="grey-text text-darken-2">
                            <tr>
                                <th>ID</th>
                                <th>Tika Name</th>
                                <th>No Of Bricks</th>
                                <th>Created at</th>
                                <th>Updated at</th>
                                <th>Options</th>
                            </tr>
                        </thead>
                        <tbody>
                            
                            <?php if($tikas->count()): ?>
                                <?php $__currentLoopData = $tikas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tika): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($tika->id); ?></td>
                                        <td><?php echo e($tika->tika_name); ?></td>
                                        <td><?php echo e($tika->no_of_bricks); ?></td>
                                        <td><?php echo e($tika->created_at->todatestring()); ?></td>
                                        <td><?php echo e($tika->updated_at->todatestring()); ?></td>
                                        <td>
                                            <div class="row mb-0">
                                              <div class="col">
                                                    <a href="<?php echo e(route('tikas.edit',$tika->id)); ?>" class="btn btn-floating btn-small waves=effect waves-light orange"><i class="material-icons">mode_edit</i></a>
                                                </div>
                                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isAdmin')): ?>
                                                <div class="col">
                                                    <form action="<?php echo e(route('tikas.destroy',$tika->id)); ?>" method="POST">
                                                        <?php echo method_field('DELETE'); ?>
                                                        <?php echo csrf_field(); ?>
                                                        <button type="submit" class="btn btn-floating btn-small waves=effect waves-light red"><i class="material-icons">delete</i></button>
                                                    </form>
                                                </div>
                                                <?php endif; ?>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                
                                <tr>
                                    <td colspan="5"><h6 class="grey-text text-darken-2 center">No Tikas have been found yet!</h6></td>
                                </tr>
                            <?php endif; ?>
                            <?php if(isset($search)): ?>
                                <tr>
                                    <td colspan="3">
                                        <a href="/tikas" class="right">Show All</a>
                                    </td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                   
                </div>
                <!-- Show Pagination Links -->
                <div class="center">
                  <?php echo e($tikas->links('vendor.pagination.default',['paginator' => $tikas])); ?>

                </div>
            </div>
        </div>
        <!-- Card END -->
    </div>
</div>



<div class="fixed-action-btn">
    <a class="btn-floating btn-large waves=effect waves-light red" href="<?php echo e(route('tikas.create')); ?>">
        <i class="large material-icons">add</i>
    </a>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>