<?php $__env->startSection('content'); ?>
<div class="container">
    <h4 class="grey-text text-darken-1 center">Manage Loading</h4>
    
    <!-- 
    <?php $__env->startComponent('sys_mg.inc.search',['title' => 'Loading' , 'route' => 'loadings.search']); ?>
    <?php echo $__env->renderComponent(); ?> -->
    <div class="row mb-0">
        <ul class="collapsible">
            <li>
                <div class="collapsible-header">
                    <i class="material-icons">search</i>
                    Search Loading report
                </div>
                <div class="collapsible-body">
                    <div class="row mb-0">
                        <form action="<?php echo e(route('loadings.search')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="input-field col s12 m6 l5 xl6">
                                <input id="search" type="text" name="search" >
                                <label for="search">Search Loading report</label>
                                <span class="<?php echo e($errors->has('search') ? 'helper-text red-text' : ''); ?>"><?php echo e($errors->has('search') ? $errors->first('search') : ''); ?></span>
                            </div>
                            <div class="input-field col s12 m6 l4 xl4">
                                <select name="options" id="options">
                                    <option value="">Search By</option>
                                    <option value="tika_name">Tika Name</option>
                                    <option value="chambers_name">Chamber Name</option>
                                    <option value="first_name">Labour Name</option>
                                  
                                    <option value="loading_at">Loading Date</option>
                                </select>
                                <label for="options">Search by:</label>
                            </div>
                            <br>
                            <div class="col l2">
                                <button type="submit" class="btn waves-effect waves-light">Search</button>
                            </div>
                        </form>
                    </div>
                </div>
            </li>
        </ul>
    </div>
    
        <!-- Show All Employee List as a Card -->
    <div class="card">
        <div class="card-content">
            <div class="row">
                <h5 class="pl-15 grey-text text-darken-2">Loading Details</h5>
                <!-- Table that shows Employee List -->
                <table class="responsive-table col s12 m12 l12 xl12">
                    <thead class="grey-text text-darken-1">
                        <tr>
                            <th>ID</th>
                            <th>Loading Date</th>
                            <th>Tika Name</th>
                            <th>No of Tika</th>
                            <th>Total Bricks</th>
                            <th>Chamber Name</th>
                            <th>Labour Name</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody id="loading-table">
                        <!-- Check if there are any employee to render in view -->
                        <?php if($loadings->count()): ?>
                            <?php $__currentLoopData = $loadings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loading): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($loading->id); ?></td>
                                    <td><?php echo e($loading->loading_at); ?></td>
                                    <td><?php echo e($loading->empTika->tika_name); ?> (<?php echo e($loading->empTika->no_of_bricks); ?>)</td>
                                    <td><?php echo e($loading->no_of_tika); ?></td>
                                    <td><?php echo e($loading->empTika->no_of_bricks * $loading->no_of_tika); ?></td>
                                    <td><?php echo e($loading->empChamber->chambers_name); ?></td>
                                    <td><?php echo e($loading->empLabour->first_name); ?> <?php echo e($loading->empLabour->last_name); ?></td>
                                    
                                    <td>
                                            <div class="row mb-0">
                                              <div class="col">
                                                    
                                                    <a href="<?php echo e(route('loadings.edit',$loading->id)); ?>" class="btn btn-floating btn-small waves=effect waves-light orange"><i class="material-icons">mode_edit</i></a>
                                                </div>
                                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isAdmin')): ?>
                                                <div class="col">
                                                    
                                                    <form action="<?php echo e(route('loadings.destroy',$loading->id)); ?>" method="POST">
                                                        
                                                        <?php echo method_field('DELETE'); ?>
                                                        
                                                        <?php echo csrf_field(); ?>
                                                        <button type="submit" class="btn btn-floating btn-small waves=effect waves-light red"><i class="material-icons">delete</i></button>
                                                    </form>
                                                </div>
                                                <?php endif; ?>
                                            </div>
                                        </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php if(isset($search)): ?>
                                <tr>
                                    <td colspan="4">
                                        <a href="/loadings" class="right">Show All</a>
                                    </td>
                                </tr>
                            <?php endif; ?>
                        <?php else: ?>
                            
                            <tr>
                                <td colspan="5"><h6 class="grey-text text-darken-2 center">No Loading Details Found!</h6></td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
                <!-- employees Table END -->
            </div>
            <!-- Show Pagination Links -->
            <div class="center">
                <?php echo e($loadings->links('vendor.pagination.default',['paginator' => $loadings])); ?>

            </div>
        </div>
    </div>
    <!-- Card END -->
</div>
<!-- This is the button that is located at the right bottom, that navigates us to employees.create view -->
<div class="fixed-action-btn">
    <a class="btn-floating btn-large waves=effect waves-light red" href="<?php echo e(route('loadings.create')); ?>">
        <i class="large material-icons">add</i>
    </a>
</div> 
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>