<?php $__env->startSection('content'); ?>
<div class="container">
    <h4 class="grey-text text-darken-2 center">Role Management</h4>
    
    
    
    <?php $__env->startComponent('sys_mg.inc.search',['title' => 'Role' , 'route' => 'roles.search']); ?>
    <?php echo $__env->renderComponent(); ?>
    
    
    <div class="row">
        <!-- Show All Admins List as a Card -->
        <div class="card col s12 m12 l12 xl12">
            <div class="card-content">
                <div class="row">
                    <h5 class="pl-15 grey-text text-darken-2">Roles List</h5>
                    <!-- Table that shows Admins List -->
                    <table class="responsive-table col s12 m12 l12 xl12">
                        <thead class="grey-text text-darken-2">
                            <tr>
                                <th>Id</th>
                                <th>Role</th>
                                <th>Slug</th>
                                <th>Permissions</th>
                                <th>Options</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if($roles->count()): ?>
                                <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                                <td><?php echo e($role->id); ?></td>
                                                <td><?php echo e($role->name); ?></td>
                                                <td><?php echo e($role->slug); ?></td>
                                                <td>
                                                    <?php if($role->permissions != null): ?>
                                                            
                                                        <?php $__currentLoopData = $role->permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <span class="badge badge-secondary">
                                                            <?php echo e($permission->name); ?>                                    
                                                        </span>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    
                                                    <?php endif; ?>
                                                </td>

                                        <td>
                                            <div class="row mb-0">
                                                <div class="col">
                                                    <a href="<?php echo e(route('roles.edit',$role->id)); ?>" class="btn btn-floating btn-small waves=effect waves-light orange"><i class="material-icons">mode_edit</i></a>
                                                </div>
                                                <div class="col">
                                                    <form action="<?php echo e(route('roles.destroy',$role->id)); ?>" method="POST">
                                                        <?php echo method_field('DELETE'); ?>
                                                        <?php echo csrf_field(); ?>
                                                        <button type="submit" class="btn btn-floating btn-small waves=effect waves-light red"><i class="material-icons">delete</i></button>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    
                                    <tr>
                                        <td colspan="5"><h6 class="grey-text text-darken-2 center">No Roles Found!</h6></td>
                                    </tr>
                                <?php endif; ?>
                                
                                <?php if(isset($search)): ?>
                                    <tr>
                                        <td colspan="4">
                                            <a href="/roles" class="right">Show All</a>
                                        </td>
                                    </tr>
                                <?php endif; ?>
                        </tbody>
                    </table>
                    <!-- Admins Table END -->
                </div>
                <!-- Show Pagination Links -->
                <div class="center">
                  <?php echo e($roles->links('vendor.pagination.default',['paginator' => $roles])); ?>

                </div>
            </div>
        </div>

       
        <!-- Card END -->
    </div>
</div>


<!-- This is the button that is located at the right bottom, that navigates us to admins.create view -->
<div class="fixed-action-btn">
    <a class="btn-floating btn-large waves=effect waves-light red" href="<?php echo e(route('roles.create')); ?>">
        <i class="large material-icons">add</i>
    </a>
</div> 

<?php $__env->startSection('js_role_page'); ?>

<script>
    $('#deleteModal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget) 
        var role_id = button.data('roleid') 
        
        var modal = $(this)
        // modal.find('.modal-footer #role_id').val(role_id)
        modal.find('form').attr('action','/roles/' + role_id);
    })
</script>

<?php $__env->stopSection(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>