<?php $__env->startSection('content'); ?>
<div class="container">
    <h4 class="grey-text text-darken-2 center">Bricksclass Management</h4>
    
    
    <?php $__env->startComponent('sys_mg.inc.search',['title' => 'Bricksclass' , 'route' => 'bricksclasses.search']); ?>
    <?php echo $__env->renderComponent(); ?>
    
    <div class="row">
        <!-- Show All Division List as a Card -->
        <div class="card col s12 m12 l12 xl12">
            <div class="card-content">
                <div class="row">
                    <h5 class="pl-15 grey-text text-darken-2">Bricksclass List</h5>
                    <!-- Table that shows Division List -->
                    <table class="responsive-table col s12 m12 l12 xl12">
                        <thead class="grey-text text-darken-2">
                            <tr>
                                <th>ID</th>
                                <th>Bricksclass Name</th>
                                <th>Price</th>
                                <th>Created at</th>
                                <th>Updated at</th>
                                <th>Options</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- Check if there are any division to render in view -->
                            <?php if($bricksclasses->count()): ?>
                                <?php $__currentLoopData = $bricksclasses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bricksclass): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($bricksclass->id); ?></td>
                                        <td><?php echo e($bricksclass->bricksclass_name); ?></td>
                                        <td><?php echo e($bricksclass->price); ?></td>
                                        <td><?php echo e($bricksclass->created_at->todatestring()); ?></td>
                                        <td><?php echo e($bricksclass->updated_at->todatestring()); ?></td>
                                        <td>
                                            <div class="row mb-0">
                                              <div class="col">
                                                    <a href="<?php echo e(route('bricksclasses.edit',$bricksclass->id)); ?>" class="btn btn-floating btn-small waves=effect waves-light orange"><i class="material-icons">mode_edit</i></a>
                                                </div>
                                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isAdmin')): ?>
                                                <div class="col">
                                                    <form action="<?php echo e(route('bricksclasses.destroy',$bricksclass->id)); ?>" method="POST">
                                                        <?php echo method_field('DELETE'); ?>
                                                        <?php echo csrf_field(); ?>
                                                        <button type="submit" class="btn btn-floating btn-small waves=effect waves-light red"><i class="material-icons">delete</i></button>
                                                    </form>
                                                </div>
                                                <?php endif; ?>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                <!-- if there are no Divisions then show this message -->
                                <tr>
                                    <td colspan="5"><h6 class="grey-text text-darken-2 center">No Bricksclass found yet!</h6></td>
                                </tr>
                            <?php endif; ?>
                            <?php if(isset($search)): ?>
                                <tr>
                                    <td colspan="3">
                                        <a href="/bricksclasses" class="right">Show All</a>
                                    </td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                    <!-- Divisions Table END -->
                </div>
                <!-- Show Pagination Links -->
                <div class="center">
                  <?php echo e($bricksclasses->links('vendor.pagination.default',['paginator' => $bricksclasses])); ?>

                </div>
            </div>
            <div class="card-action">
                    <a href="/dashboard"class="previous">&laquo; Go Back</a>
                </div>
        </div>
        <!-- Card END -->
    </div>
</div>


<!-- This is the button that is located at the right bottom, that navigates us to divisions.create view -->
<div class="fixed-action-btn">
    <a class="btn-floating btn-large waves=effect waves-light red" href="<?php echo e(route('bricksclasses.create')); ?>">
        <i class="large material-icons">add</i>
    </a>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>