<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="card col s12 m12 l12 xl12 mt-20">
                <div>
                <h4 class="center grey-text text-darken-2 card-title">Update Labour</h4>
                </div>
                <hr>
                <div class="card-content">
                    <form action="<?php echo e(route('labours.update',$labour->id)); ?>" method="POST" enctype="multipart/form-data">
                        <div class="row">
                            <div class="input-field col s12 m6 l6 xl4 offset-xl2">
                                <i class="material-icons prefix">person</i>
                                <input type="text" name="first_name" id="first_name" value="<?php echo e(old('first_name') ? : $labour->first_name); ?>">
                                <label for="first_name">First Name</label>
                                <span class="<?php echo e($errors->has('first_name') ? 'helper-text red-text' : ''); ?>"><?php echo e($errors->first('first_name')); ?></span>
                            </div>
                            <div class="input-field col s12 m6 l6 xl4">
                                <i class="material-icons prefix">person</i>
                                <input type="text" name="last_name" id="last_name" value="<?php echo e(old('last_name') ? : $labour->last_name); ?>">
                                <label for="last_name">Last Name</label>
                                <span class="<?php echo e($errors->has('first_name') ? 'helper-text red-text' : ''); ?>"><?php echo e($errors->first('first_name')); ?></span>
                            </div>
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                <i class="material-icons prefix">contact_phone</i>
                                <input type="text" name="phone_no" maxlength="10" pattern="[0-9]*" id="phone_no" value="<?php echo e(old('phone_no') ? : $labour->phone_no); ?>">
                                <label for="phone_no">Phone</label>
                                <span class="<?php echo e($errors->has('phone_no') ? 'helper-text red-text' : ''); ?>"><?php echo e($errors->has('phone_no') ? $errors->first('phone_no') : ''); ?></span>
                            </div>
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                <i class="material-icons prefix">add_location</i>
                                <textarea name="address" id="address" class="materialize-textarea" ><?php echo e(Request::old('address') ? : $labour->address); ?></textarea>
                                <label for="address">Address</label>
                                <span class="<?php echo e($errors->has('address') ? 'helper-text red-text' : ''); ?>"><?php echo e($errors->has('address') ? $errors->first('address') : ''); ?></span>
                            </div>
                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                <i class="material-icons prefix">business</i>
                                <select name="unit" class="unit" style="width: 100%;">
                                    <option value="" disabled>Choose a Unit</option>
                                    <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($unit->id); ?>" <?php echo e(old('unit') ? 'selected' : ''); ?> <?php echo e($labour->empUnit==$unit ? 'selected' : ''); ?> ><?php echo e($unit->unit_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                
                            </div>

                            <div class="input-field col s12 m12 l12 xl8 offset-xl2">
                                  <i class="material-icons prefix">person</i>
                                <select name="contractor" class="contractor" style="width: 100%;">
                                    <option value="" disabled >Choose a Contractor</option>
                                    <?php $__currentLoopData = $contractors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contractor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($contractor->id); ?>" <?php echo e(old('contractor') ? 'selected' : ''); ?> <?php echo e($labour->empContractor==$contractor ? 'selected' : ''); ?>><?php echo e($contractor->first_name); ?> <?php echo e($contractor->last_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                
                            </div>
                            
                            <div class="input-field col s12 m6 l6 xl4 offset-xl2">
                                <i class="material-icons prefix">date_range</i>
                                <input type="text" name="join_date" id="join_date" class="datepicker" value="<?php echo e(Request::old('join_date') ? : $labour->join_date); ?>">
                                <label for="join_date">date joined</label>
                                <span class="<?php echo e($errors->has('join_date') ? 'helper-text red-text' : ''); ?>"><?php echo e($errors->has('join_date') ? $errors->first('join_date') : ''); ?></span>
                            </div>
                            <div class="input-field col s12 m6 l6 xl4">
                                <i class="material-icons prefix">date_range</i>
                                <input type="text" name="birth_date" id="birth_date" class="datepicker" value="<?php echo e(Request::old('birth_date') ? : $labour->birth_date); ?>">
                                <label for="birth_date">Date of birth</label>
                                <span class="<?php echo e($errors->has('birth_date') ? 'helper-text red-text' : ''); ?>"><?php echo e($errors->has('birth_date') ? $errors->first('birth_date') : ''); ?></span>
                            </div>
                        </div>
                        <?php echo method_field('PUT'); ?>
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <button type="submit" class="btn waves-effect waves-light col s8 offset-s2 m4 offset-m4 l4 offset-l4 xl4 offset-xl4">Update</button>
                        </div>
                    </form>
                    <script type="text/javascript">
   
                        $('.unit').select2();
                        $('.contractor').select2();
                    </script>
                </div>
                <div class="card-action">
                    <a href="/labours"class="previous">&laquo; Go Back</a>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>