<?php $__env->startSection('content'); ?>
<div class="container">
    <h4 class="grey-text text-darken-2 center">Unit List</h4>
    
    
    <?php $__env->startComponent('sys_mg.inc.search',['title' => 'Unit' , 'route' => 'units.search']); ?>
    <?php echo $__env->renderComponent(); ?>
    
    <div class="row">
        
        <div class="card col s12 m12 l12 xl12">
            <div class="card-content">
                <div class="row">
                    <h5 class="pl-15 grey-text text-darken-2">Unit List</h5>
                    
                    <table class="responsive-table col s12 m12 l12 xl12">
                        <thead class="grey-text text-darken-2">
                            <tr>
                                <th>ID</th>
                                <th>Unit Name</th>
                                <th>No Of Chambers</th>
                                <th>Created at</th>
                                <th>Created by</th>
                                <th>Updated by</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody id="unit-table">
                            
                            <?php if($units->count()): ?>
                                <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($unit->id); ?></td>
                                        <td><?php echo e($unit->unit_name); ?></td>
                                        <td><?php echo e($unit->no_of_chamber); ?></td>
                                        <td><?php echo e($unit->created_at->todatestring()); ?></td>
                                        <td><?php echo e($unit->created_by); ?></td>
                                        <td><?php echo e($unit->updated_by); ?></td>
                                        <td>
                                            <div class="row mb-0">
                                              <div class="col">
                                                    
                                                    <a href="<?php echo e(route('units.edit',$unit->id)); ?>" class="btn btn-floating btn-small waves=effect waves-light orange"><i class="material-icons">mode_edit</i></a>
                                                </div>
                                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isAdmin')): ?>
                                                <div class="col">
                                                    
                                                    <form action="<?php echo e(route('units.destroy',$unit->id)); ?>" method="POST">
                                                        
                                                        <?php echo method_field('DELETE'); ?>
                                                        
                                                        <?php echo csrf_field(); ?>
                                                        <button type="submit" class="btn btn-floating btn-small waves=effect waves-light red"><i class="material-icons">delete</i></button>
                                                    </form>
                                                </div>
                                                <?php endif; ?>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>
                                
                                <tr>
                                    <td colspan="5"><h6 class="grey-text text-darken-2 center">No Units found!</h6></td>
                                </tr>
                            <?php endif; ?>
                            <?php if(isset($search)): ?>
                                <tr>
                                    <td colspan="3">
                                        <a href="/units" class="right">Show All</a>
                                    </td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                    
                </div>
                
                <div class="center" id="pagination">
                  <?php echo e($units->links('vendor.pagination.default',['paginator' => $units])); ?>

                </div>
            </div>
            <div class="card-action">
                    <a href="/dashboard"class="previous">&laquo; Go Back</a>
                </div>
        </div>
        <!-- Card END -->
    </div>
</div>



<div class="fixed-action-btn">
    <a class="btn-floating btn-large waves=effect waves-light red" href="<?php echo e(route('units.create')); ?>">
        <i class="large material-icons">add</i>
    </a>
</div> 
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>